tigase.jaxmpp.core.client.xmpp.modules.connection

## Class ConnectionSession

- java.lang.Object
- - tigase.jaxmpp.core.client.DataHolder
  - - tigase.jaxmpp.core.client.xmpp.modules.connection.ConnectionSession

- Direct Known Subclasses:
    FileTransfer

      public class ConnectionSession
      extends DataHolder

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConnectionSession(SessionObject sessionObject, JID peer, String sid, boolean tcp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JID` | `getPeer()`
    `SessionObject` | `getSessionObject()`
    `String` | `getSid()`
    `boolean` | `isIncoming()`
    `void` | `setIncoming(boolean incoming)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.DataHolder

      `getData, removeData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionSession

          protected ConnectionSession(SessionObject sessionObject,
                                      JID peer,
                                      String sid,
                                      boolean tcp)

  - ### Method Detail

    - #### getPeer

          public JID getPeer()

    - #### getSessionObject

          public SessionObject getSessionObject()

    - #### getSid

          public String getSid()

    - #### isIncoming

          public boolean isIncoming()

    - #### setIncoming

          public void setIncoming(boolean incoming)

Copyright © 2006–2020 Tigase. All rights reserved.